## org.codehaus.groovy.grails.cli
Class ScriptExitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.cli.ScriptExitException

All Implemented Interfaces:
  Serializable

    public class ScriptExitException

extends RuntimeException

Exception thrown when a script exits, but Grails has disabled the system exit. Used for testing and Grails interactive mode.

See Also:
  Serialized Form

Constructor Summary
`ScriptExitException(int exitCode)`
`ScriptExitException(int exitCode, String message)`
`ScriptExitException(int exitCode, String message, Throwable cause)`
`ScriptExitException(int exitCode, Throwable cause)`

Method Summary
`int` `getExitCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptExitException

    public ScriptExitException(int exitCode)

### ScriptExitException

    public ScriptExitException(int exitCode,
                               String message,
                               Throwable cause)

### ScriptExitException

    public ScriptExitException(int exitCode,
                               String message)

### ScriptExitException

    public ScriptExitException(int exitCode,
                               Throwable cause)

Method Detail

### getExitCode

    public int getExitCode()

Copyright (c) 2005-2009 The Grails project